module "kubernetes-engine_beta-private-cluster" {
  source                     = "terraform-google-modules/kubernetes-engine/google//modules/beta-private-cluster"
  version                    = "30.0.0"
  name                       = "gke-envoy-cluster"
  ip_range_pods              = data.terraform_remote_state.vpc_state.outputs.secondary_ip_range_name_for_pods
  ip_range_services          = data.terraform_remote_state.vpc_state.outputs.secondary_ip_range_name_for_services
  network                    = data.terraform_remote_state.vpc_state.outputs.vpc_network
  project_id                 = var.project_id
  region                     = var.region
  subnetwork                 = data.terraform_remote_state.vpc_state.outputs.subnets
  node_pools                 = var.node_pools
  remove_default_node_pool   = var.remove_default_node_pool
  default_max_pods_per_node  = var.default_max_pods_per_node
  deletion_protection        = var.deletion_protection
  enable_private_endpoint    = true
  enable_private_nodes       = true
  master_authorized_networks = var.master_authorized_networks
  enable_shielded_nodes      = var.enable_shielded_nodes
  datapath_provider          = "ADVANCED_DATAPATH"
}
